@font-face {
    font-family: "Pixelify Sans";
    src: url('/assets/fonts/PixelifySans-VariableFont_wght.ttf');
}
@font-face {
    font-family: "Figtree";
    src: url('/assets/fonts/Figtree-VariableFont_wght.ttf');
}

:root {
    --bg: rgb(30, 30, 32);
    --fg: rgb(55, 53, 59);
    --shadow: rgb(62, 42, 60);
    --shadow-dark: rgb(44, 31, 43);
    --text: rgb(237, 237, 237);
    --text-light: rgb(176, 147, 167);
    --link-text: dodgerblue;
    --link-highlight: rgb(144, 126, 168);
    --accent-1: rgb(123, 59, 172);
    --accent-2: rgb(108, 24, 149);
    --radius: 5px;
}

::selection,::-moz-selection {
    color: var(--text);
    text-decoration-color: var(--text);
    background: var(--link-highlight);
}

html {
    height: 100%;
    background:
      repeating-conic-gradient(var(--bg) 0 25%,  #262031 0 50%) 
      50% / 20px 20px;
}
html::before {
  content: "";
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: 
    repeating-conic-gradient(var(--bg) 0 25%,  #262031 0 50%) 
    50% / 20px 20px;
  z-index: -1;
}

html, body {
    margin: 0;
    font: 300 22px/1.1 "Pixelify Sans", sans-serif;
    color: var(--text);
}



.content {
    max-width: 810px;
    min-height: 100%;
    margin: auto;
    padding: 1px 30px;
    background-color: var(--bg);
    box-shadow: 0 0 20px var(--shadow-dark);
}


h1 {
    color: var(--accent-1);
    font-weight: 600;
    font-size: 2.5em;
    margin: 0;
}



h2 {
    color: var(--accent-2);
    font-weight: 500;
    font-size: 2em;
    margin: 1.25rem 0 0 0;
}

p {
    margin: 1em 4px;
}

/* index page */
body {
    height: 100%;
}

.content:has(>.title-center) {
    display: grid;
    place-items: center;
}

.title-center {
    margin: auto;
    text-align: center;
}

#gift-box img {
    width: 200px;
    object-fit: cover;
    object-position: center;
}

/* Gift Page */
.title-holder {
    padding-top: 30px;
    display: grid;
    grid-template-columns: 30% auto;
    gap: 20px;
    align-items: center;
}

.title-holder > img {
    max-width: 100%;
    border-radius: var(--radius);
    box-shadow: 3px 3px 10px var(--shadow);
    transition: 0.1s ease-out transform;
}


.title-holder > h1 {
    text-align: left;
    margin-bottom: 30px;
}

.songs-holder {
    text-align: left;
}
.song-listing .pause-btn {
    display: none;
}
.song-listing[playing="true"] .pause-btn {
    display: block;
}
.song-listing[playing="true"] .play-btn {
    display: none;
}
.pause-btn > svg,
.play-btn > svg {
    vertical-align: center;
}

.song-listing:first-child {
    margin-top: 30px;
}
.song-listing:last-child {
    margin-bottom: 20px;
}
.song-listing {
    background-color: var(--fg);
    margin: 10px 20px;
    padding: 10px;
    border-radius: var(--radius);
    display: grid;
    grid-template-columns: 20px auto 50px;
    gap: 20px;
    opacity: 1;
    transition: 0.2s background-color, 1.2s opacity;
}
.hidden {
    opacity: 0;
}
.song-listing[playing="true"] {
    background-color: var(--link-highlight);
}
.song-time {
    color: var(--text-light);
}

/* Video Modal */
.modal {
    display: none; /* Hidden by default */
    position: fixed;
    top: 0; left: 0;
    width: 100%; height: 100%;
    background-color: rgba(0,0,0,0.8); /* Black overlay */
    z-index: 1000;
}
.modal-content {
    position: absolute;
    top: 50%; left: 50%;
    transform: translate(-50%, -50%);
    width: 80%; max-width: 700px;
}
.close-btn {
    color: white;
    font-size: 30px;
    cursor: pointer;
    position: absolute;
    top: -35px; right: 0;
}

.modal-content > iframe {
    max-width: 100%;
}


/* Responsive */

@media (hover: hover) {
    .title-holder > img:hover {
        transform: scale(1.015);
        cursor: pointer;
    }
    .song-listing:hover {
        background-color: var(--link-highlight);
        cursor: pointer;
    }
}

@media screen
and (max-width: 810px) {
    h1 {
        font-size: revert;
    }
    .content,
    .content:has(>.title-center) {
        padding-right: 15px;
        padding-bottom: 1.5rem;
        padding-left: 15px;
        padding-top: 15px;
    }
    .title-holder {
        grid-template-columns: 100%;
        grid-template-rows: auto;
        grid-auto-flow: row;
        padding-top: 3px;
        place-items: center;
    }
    .title-holder > h1 {
        margin-bottom: 0;
    }
    .title-holder {
    }
    .song-listing {
        margin-left: 0px;
        margin-right: 0px;
    }
    .song-listing:last-child {
        margin-bottom: 0;
    }
}